import request from '@/benyun/utils/request'
import store from '@/store/index'
//查询价格
export function queryPricePackage(data : any) {
	return request({
		url: '/omsOrder/omsShippingOrder/getMultiplePrice',
		method: 'POST',
		data: data
	})
}
//单条发货
export function addmultiple(data : any) {
	return request({
		url: '/omsOrder/omsShippingOrder/addmultiple',
		method: 'POST',
		data: data
	})
}
//整车价格
export function getMultipleToOnePrice(data : any) {
	return request({
		url: '/omsOrder/omsShippingOrder/getMultipleToOnePrice',
		method: 'POST',
		data: data
	})
}
//整车发货
export function addMultipleToOne(data : any) {
	return request({
		url: '/omsOrder/omsShippingOrder/addMultipleToOne',
		method: 'POST',
		data: data
	})
}
//查库存
export function getInventoryByStoreHouseIdAndSkuids(data : any) {
	return request({
		url: '/supply/supplyInventory/getInventoryByStoreHouseIdAndSkuids',
		method: 'POST',
		data: data
	})
}
//分页查询
export function getPageData(data ?: any) {
	return request({
		url: '/omsOrder/omsShippingOrder/page',
		method: 'GET',
		params: data
	})
}
//主键查询
export function getSingleData(data ?: any) {
	return request({
		url: '/omsOrder/omsShippingOrder/single',
		method: 'GET',
		params: data
	})
}
//根据订单id查发货单
export function queryOrderByOrderId(data?:any){
	return request({
		url: '/omsOrder/omsShippingOrder/queryOrderByOrderId',
		method: 'GET',
		params: data
	})
}
//取消订单
export function cancleSendOrder(data?:any){
	return request({
		url: '/omsOrder/omsShippingOrder/cancelSendOrder',
		method: 'POST',
		data: data
	})
}
//物流
export function queryByOrderNo(data?:any){
	return request({
		url: '/omsOrder/omsShippingCallbackLog/queryByOrderNo',
		method: 'POST',
		params: data
	})
}
//快递发货
export function express(data?:any){
	return request({
		url: '/omsOrder/omsShippingOrder/express',
		method: 'POST',
		data: data
	})
}

//短驳物流
export function getShortBargePageData(data ?: any) {
	return request({
		url: '/supply/supplyShortBarge/page',
		method: 'GET',
		params: data
	})
}
//短驳物流主键查询
export function getShortBargeSingleData(data ?: any) {
	return request({
		url: '/supply/supplyShortBarge/single',
		method: 'GET',
		params: data
	})
}

//仓库主键查询
export function getMaindataStorehouseSingleData(data ?: any) {
	return request({
		url: '/maindata/maindataStorehouse/single',
		method: 'GET',
		params: data
	})
}

//插入短驳
export function insertShortBarge(data ?: any) {
	return request({
		url: '/supply/supplyShortBarge/insertShortBarge',
		method: 'POST',
		data: data
	})
}

//短驳价格
export function getShortBargePrice(data?:any) {
	return request({
		url: '/omsOrder/omsShippingOrder/getShortBargePrice',
		method: 'Post',
		data: data
	})
}

//短驳
export function WMSAddEntryOrder(data?:any) {
	return request({
		url: '/omsOrder/WMSwork/WMSAddEntryOrder',
		method: 'Post',
		data: data
	})
}

//B2C取消发货
export function cancleWmsTradeOrder(data:any) {
	return request({
		url: '/omsOrder/omsShippingOrder/cancelWmsTradeOrder',
		data:data,
		method: 'POST'
	})
}